私隱偏好

必要功能

用於安全驗證及網站基本功能。

一直啟用

選擇性使用分析

是否允許 PostHog 分析網站使用情況?您可隨時在頁尾更新選擇。

另外允許重播此公開網站的操作

重播會顯示公開頁面及操作;輸入及私人內容會遮蔽。App 重播須另行選擇。

須先開啟分析;網站重播預設關閉。

瀏覽器分析選擇不會啟用帳戶分析。

搜尋資料會在使用時載入。亦可直接瀏覽下方分類。

研究及帶來源簡報

取消公開來源擷取

以原 mutation_id 取消來源讀取,首次回應前亦可提出取消。早到的取消會阻止之後開始讀取;已完成結果與取消競爭以持久狀態為準。

POST /research-api/evidence/cancel

Contract 核對日期: · sha256:ab393e91e9b7f18a

概覽

以原 mutation_id 取消來源讀取,首次回應前亦可提出取消。早到的取消會阻止之後開始讀取;已完成結果與取消競爭以持久狀態為準。

HTTP 成功只表示本次操作的回應。背景工作須保留回傳 ID,並讀取同一操作,直至達到文件指定的終態。接受請求、排程成功或客戶端逾時,均不代表已發佈。

驗證及權限

接受的憑證類型
user_session, delegated_oauth, personal_access_token
委派權限
agent:research
最低工作空間角色
editor
存取範圍
已登入用戶及獲授權資源範圍
需要所有工作空間同意
否
會改動狀態
是
完成依據
committed cancellation fence; late reader output is discarded

憑證不能擴大持有人的權限。實際操作仍會檢查工作空間成員資格、資源擁有權、已選工作空間及能力授權。Tool profile 只會改變可見工具,不會授予權限。

請求欄位

必填表示在所屬物件及所選分支內必須提供;子欄位必填不代表可選的父物件亦變成必填。以下欄位名稱及規則直接來自 contract。

請求欄位
欄位/分支類型/必填限制
$object父物件內必填
  • additionalProperties: false
workspace_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
mutation_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "mutation_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    }
  },
  "required": [
    "workspace_id",
    "mutation_id"
  ],
  "additionalProperties": false
}

回應及完成條件

成功 HTTP 狀態碼: 200. 完成依據: committed cancellation fence; late reader output is discarded.

HTTP 成功只表示本次操作的回應。背景工作須保留回傳 ID,並讀取同一操作,直至達到文件指定的終態。接受請求、排程成功或客戶端逾時,均不代表已發佈。

必填表示在所屬物件及所選分支內必須提供;子欄位必填不代表可選的父物件亦變成必填。以下欄位名稱及規則直接來自 contract。

回應及完成條件
欄位/分支類型/必填限制
$object父物件內必填—
retrievalobject父物件內必填—
retrieval.idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
retrieval.workspace_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
retrieval.mutation_idstring父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
retrieval.statestring父物件內必填
  • enum: ["pending","running","completed","cancelled","unconfirmed","expired"]
retrieval.kindstring | null父物件內必填—
retrieval.kindanyOf 1string父物件內必填
  • enum: ["url_text","published_captions"]
retrieval.kindanyOf 2null父物件內必填—
retrieval.created_atstring父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
retrieval.settled_atstring | null父物件內必填—
retrieval.settled_atanyOf 1string父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
retrieval.settled_atanyOf 2null父物件內必填—
retrieval.valid_untilstring父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
retrieval.resultobject | null父物件內必填—
retrieval.resultanyOf 1object父物件內必填—
retrieval.result.kindanyOf 1string父物件內必填
  • enum: ["url_text","published_captions"]
retrieval.result.statusanyOf 1string父物件內必填
  • enum: ["ready","partial","blocked","unsupported","empty","rate_limited","unavailable","cancelled"]
retrieval.result.textanyOf 1string父物件內必填
  • maxLength: 20000
retrieval.result.titleanyOf 1string | null父物件內必填—
retrieval.result.titleanyOf 1 / anyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 200
retrieval.result.titleanyOf 1 / anyOf 2null父物件內必填—
retrieval.result.descriptionanyOf 1string | null父物件內必填—
retrieval.result.descriptionanyOf 1 / anyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 2000
retrieval.result.descriptionanyOf 1 / anyOf 2null父物件內必填—
retrieval.result.segmentsanyOf 1array父物件內必填
  • maxItems: 1000
retrieval.result.segments[]anyOf 1object可選/陣列項目—
retrieval.result.segments[].start_msanyOf 1integer父物件內必填
  • minimum: 0
  • maximum: 9007199254740991
retrieval.result.segments[].end_msanyOf 1integer父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
retrieval.result.segments[].textanyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 20000
retrieval.result.provenanceanyOf 1object父物件內必填—
retrieval.result.provenance.source_urlanyOf 1string | null父物件內必填—
retrieval.result.provenance.source_urlanyOf 1 / anyOf 1string父物件內必填
  • format: "uri"
  • maxLength: 2048
retrieval.result.provenance.source_urlanyOf 1 / anyOf 2null父物件內必填—
retrieval.result.provenance.retrieved_atanyOf 1string父物件內必填
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
retrieval.result.provenance.mime_typeanyOf 1string | null父物件內必填—
retrieval.result.provenance.mime_typeanyOf 1 / anyOf 1string父物件內必填
  • enum: ["text/html","application/xhtml+xml","text/plain","text/vtt","application/x-subrip","application/srt","text/srt"]
retrieval.result.provenance.mime_typeanyOf 1 / anyOf 2null父物件內必填—
retrieval.result.provenance.parser_versionanyOf 1string父物件內必填
  • const: "research-public-retrieval/v1"
retrieval.result.provenance.content_kindanyOf 1string父物件內必填
  • enum: ["document_text","metadata_only","published_caption_file","none"]
retrieval.result.provenance.caption_formatanyOf 1string | null父物件內必填—
retrieval.result.provenance.caption_formatanyOf 1 / anyOf 1string父物件內必填
  • enum: ["webvtt","subrip"]
retrieval.result.provenance.caption_formatanyOf 1 / anyOf 2null父物件內必填—
retrieval.result.provenance.languageanyOf 1string | null父物件內必填—
retrieval.result.provenance.languageanyOf 1 / anyOf 1string父物件內必填
  • minLength: 1
  • maxLength: 35
  • pattern: "^[a-zA-Z]{2,8}(?:-[a-zA-Z0-9]{1,8})*$"
retrieval.result.provenance.languageanyOf 1 / anyOf 2null父物件內必填—
retrieval.result.provenance.language_sourceanyOf 1string父物件內必填
  • enum: ["publisher_declared","unknown"]
retrieval.result.provenance.platform_native_verifiedanyOf 1boolean父物件內必填
  • const: false
retrieval.result.reasonanyOf 1string | null父物件內必填—
retrieval.result.reasonanyOf 1 / anyOf 1string父物件內必填
  • enum: ["unsafe_url","unsupported_source","unsupported_media","unsupported_content","access_denied","login_required","no_text","metadata_only","no_captions","invalid_captions","not_found","rate_limited","response_too_large","text_limited","nodes_limited","cues_limited","invalid_cues","language_mismatch","source_partial","timeout","cancelled","egress_unavailable","unavailable"]
retrieval.result.reasonanyOf 1 / anyOf 2null父物件內必填—
retrieval.result.warningsanyOf 1array父物件內必填
  • maxItems: 10
retrieval.result.warnings[]anyOf 1string可選/陣列項目
  • enum: ["unsafe_url","unsupported_source","unsupported_media","unsupported_content","access_denied","login_required","no_text","metadata_only","no_captions","invalid_captions","not_found","rate_limited","response_too_large","text_limited","nodes_limited","cues_limited","invalid_cues","language_mismatch","source_partial","timeout","cancelled","egress_unavailable","unavailable"]
retrieval.result.retry_after_secondsanyOf 1integer | null父物件內必填—
retrieval.result.retry_after_secondsanyOf 1 / anyOf 1integer父物件內必填
  • minimum: 1
  • maximum: 86400
retrieval.result.retry_after_secondsanyOf 1 / anyOf 2null父物件內必填—
retrieval.resultanyOf 2null父物件內必填—
retrieval.evidenceobject | null父物件內必填—
retrieval.evidenceanyOf 1object父物件內必填—
retrieval.evidence.evidence_idanyOf 1string父物件內必填
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
retrieval.evidence.revisionanyOf 1integer父物件內必填
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
retrieval.evidenceanyOf 2null父物件內必填—
完整 JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "retrieval": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "workspace_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "mutation_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "state": {
          "type": "string",
          "enum": [
            "pending",
            "running",
            "completed",
            "cancelled",
            "unconfirmed",
            "expired"
          ]
        },
        "kind": {
          "anyOf": [
            {
              "type": "string",
              "enum": [
                "url_text",
                "published_captions"
              ]
            },
            {
              "type": "null"
            }
          ]
        },
        "created_at": {
          "type": "string",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
          "format": "date-time"
        },
        "settled_at": {
          "anyOf": [
            {
              "type": "string",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
              "format": "date-time"
            },
            {
              "type": "null"
            }
          ]
        },
        "valid_until": {
          "type": "string",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
          "format": "date-time"
        },
        "result": {
          "anyOf": [
            {
              "type": "object",
              "properties": {
                "kind": {
                  "type": "string",
                  "enum": [
                    "url_text",
                    "published_captions"
                  ]
                },
                "status": {
                  "type": "string",
                  "enum": [
                    "ready",
                    "partial",
                    "blocked",
                    "unsupported",
                    "empty",
                    "rate_limited",
                    "unavailable",
                    "cancelled"
                  ]
                },
                "text": {
                  "type": "string",
                  "maxLength": 20000
                },
                "title": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 200
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "description": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 2000
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "segments": {
                  "maxItems": 1000,
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "start_ms": {
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      },
                      "end_ms": {
                        "type": "integer",
                        "exclusiveMinimum": 0,
                        "maximum": 9007199254740991
                      },
                      "text": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 20000
                      }
                    },
                    "required": [
                      "start_ms",
                      "end_ms",
                      "text"
                    ]
                  }
                },
                "provenance": {
                  "type": "object",
                  "properties": {
                    "source_url": {
                      "anyOf": [
                        {
                          "type": "string",
                          "maxLength": 2048,
                          "format": "uri"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "retrieved_at": {
                      "type": "string",
                      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                      "format": "date-time"
                    },
                    "mime_type": {
                      "anyOf": [
                        {
                          "type": "string",
                          "enum": [
                            "text/html",
                            "application/xhtml+xml",
                            "text/plain",
                            "text/vtt",
                            "application/x-subrip",
                            "application/srt",
                            "text/srt"
                          ]
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "parser_version": {
                      "type": "string",
                      "const": "research-public-retrieval/v1"
                    },
                    "content_kind": {
                      "type": "string",
                      "enum": [
                        "document_text",
                        "metadata_only",
                        "published_caption_file",
                        "none"
                      ]
                    },
                    "caption_format": {
                      "anyOf": [
                        {
                          "type": "string",
                          "enum": [
                            "webvtt",
                            "subrip"
                          ]
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "language": {
                      "anyOf": [
                        {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 35,
                          "pattern": "^[a-zA-Z]{2,8}(?:-[a-zA-Z0-9]{1,8})*$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "language_source": {
                      "type": "string",
                      "enum": [
                        "publisher_declared",
                        "unknown"
                      ]
                    },
                    "platform_native_verified": {
                      "type": "boolean",
                      "const": false
                    }
                  },
                  "required": [
                    "source_url",
                    "retrieved_at",
                    "mime_type",
                    "parser_version",
                    "content_kind",
                    "caption_format",
                    "language",
                    "language_source",
                    "platform_native_verified"
                  ]
                },
                "reason": {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "unsafe_url",
                        "unsupported_source",
                        "unsupported_media",
                        "unsupported_content",
                        "access_denied",
                        "login_required",
                        "no_text",
                        "metadata_only",
                        "no_captions",
                        "invalid_captions",
                        "not_found",
                        "rate_limited",
                        "response_too_large",
                        "text_limited",
                        "nodes_limited",
                        "cues_limited",
                        "invalid_cues",
                        "language_mismatch",
                        "source_partial",
                        "timeout",
                        "cancelled",
                        "egress_unavailable",
                        "unavailable"
                      ]
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "warnings": {
                  "maxItems": 10,
                  "type": "array",
                  "items": {
                    "type": "string",
                    "enum": [
                      "unsafe_url",
                      "unsupported_source",
                      "unsupported_media",
                      "unsupported_content",
                      "access_denied",
                      "login_required",
                      "no_text",
                      "metadata_only",
                      "no_captions",
                      "invalid_captions",
                      "not_found",
                      "rate_limited",
                      "response_too_large",
                      "text_limited",
                      "nodes_limited",
                      "cues_limited",
                      "invalid_cues",
                      "language_mismatch",
                      "source_partial",
                      "timeout",
                      "cancelled",
                      "egress_unavailable",
                      "unavailable"
                    ]
                  }
                },
                "retry_after_seconds": {
                  "anyOf": [
                    {
                      "type": "integer",
                      "minimum": 1,
                      "maximum": 86400
                    },
                    {
                      "type": "null"
                    }
                  ]
                }
              },
              "required": [
                "kind",
                "status",
                "text",
                "title",
                "description",
                "segments",
                "provenance",
                "reason",
                "warnings",
                "retry_after_seconds"
              ]
            },
            {
              "type": "null"
            }
          ]
        },
        "evidence": {
          "anyOf": [
            {
              "type": "object",
              "properties": {
                "evidence_id": {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                "revision": {
                  "type": "integer",
                  "exclusiveMinimum": 0,
                  "maximum": 9007199254740991
                }
              },
              "required": [
                "evidence_id",
                "revision"
              ]
            },
            {
              "type": "null"
            }
          ]
        }
      },
      "required": [
        "id",
        "workspace_id",
        "mutation_id",
        "state",
        "kind",
        "created_at",
        "settled_at",
        "valid_until",
        "result",
        "evidence"
      ]
    }
  },
  "required": [
    "retrieval"
  ]
}

錯誤及安全重試

請檢查 HTTP 狀態及實際回應格式。400 驗證錯誤可能回傳 ZodError;handler 錯誤可能採用 error/message/code envelope。請保留可用的 request_id 或 x-request-id,避免記錄憑證。遇到 401/403 時,須先修正存取問題;429 須遵守 Retry-After。寫入結果未明或回傳 5xx 時,請先讀取原有結果,再決定是否重試。只有操作支援時才可重用 idempotency key;並無通用重試或 exactly-once 保證。

問題排解指南

範例

以下虛構值已按 contract 驗證,並非真實帳戶 ID、憑證或發佈紀錄。請以已授權範圍回傳的 ID、已準備完成的素材及已審核排程取代,並在寫入前核對平台資格。此頁不會呼叫 API。

在伺服器環境設定 SOSOAPI_ACCESS_TOKEN,使用此操作接受的憑證。請勿將憑證放入瀏覽器程式。一般 AI Agent 建議透過 sosoapi auth login 使用瀏覽器 OAuth,由 CLI 管理憑證更新。

request.json

{
  "workspace_id": "11111111-1111-4111-8111-111111111111",
  "mutation_id": "40000000-0000-4000-8000-000000000001"
}

cURL

curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/research-api/evidence/cancel" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

JavaScript

// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/research-api/evidence/cancel", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111",
  "mutation_id": "40000000-0000-4000-8000-000000000001"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.

CLI

npx sosoapi api post /research-api/evidence/cancel < request.json

虛構回應範例

{
  "retrieval": {
    "id": "30000000-0000-4000-8000-000000000007",
    "workspace_id": "11111111-1111-4111-8111-111111111111",
    "mutation_id": "40000000-0000-4000-8000-000000000001",
    "state": "cancelled",
    "kind": "url_text",
    "created_at": "2099-01-15T09:00:00Z",
    "settled_at": "2099-01-15T09:00:01Z",
    "valid_until": "2099-01-16T09:00:00Z",
    "evidence": null,
    "result": null
  }
}

MCP: sosoapi_research_evidence_cancel